CanvasesRollback canvas
Canvases

Rollback canvas

Rollback a canvas to a specific version. The current state is replaced with the specified version's snapshot.

curl -X POST "https://api.mythic-analytics.com/api/v1/canvases/example_string/rollback" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "version_id": "ver_2nK8mPqR"
}'
{
  "success": true,
  "data": {
    "id": "cvs_5kN2mPqR",
    "name": "User Journey Flow",
    "description": "example_string",
    "status": "draft",
    "settings": {},
    "current_version": "ver_2nK8mPqR",
    "created_at": "2024-04-20T08:00:00.000Z",
    "updated_at": "2024-06-12T14:20:00.000Z"
  }
}
POST
/canvases/{id}/rollback
POST
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Canvas identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
version_idstring
Required

Version identifier to rollback to.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Canvas identifier.

Body

application/json
version_idstring
Required

Version identifier to rollback to.

Responses

successboolean
dataobject